<!DOCTYPE html>
<html layout:decorator="admin/index"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:th="http://www.thymeleaf.org">
<body>

<main layout:fragment="main">


    <div class="container">
        <h1 th:text="${subject.getName()}"></h1>
        <h5 th:text="${subject.getEcts()} +' ECTS'"></h5><br/>

        <div class="row">
            <div class="col s12 m7">
                <div class="card-content z-depth-1">
                    <ul class="collection with-header">
                        <li class="collection-header"><h4
                                th:text="#{admin.subjectdetails.lecturers}"></h4></li>
                        <li class="collection-item" th:if="${#lists.isEmpty(lecturers)}"
                            th:text="#{admin.subjectdetails.noLecturers}"></li>
                        <li class="collection-item" th:each="lecturer : ${lecturers}">
                            <a class="teal-text" th:href="@{/admin/users/{lecturerId}(lecturerId=${lecturer.id})}"
                               th:text="${lecturer.getName()}"
                            ></a>

                            <a class="secondary-content modal-trigger"
                               th:href="'#delete-confirm-' + ${lecturer.id}">
                                <i class="material-icons tooltipped"
                                   th:attr="data-tooltip=#{admin.subjects.lecturers.remove}">delete</i>
                            </a>

                            <div th:text="${lecturer.identificationNumber}"></div>

                            <!-- Delete confirmation modal for lecturers -->
                            <div class="modal small" th:id="'delete-confirm-' + ${lecturer.id}">
                                <div class="modal-content">
                                    <h4 th:text="#{admin.subject.details.remove.modal.header}"></h4>
                                    <p th:text="#{admin.subject.details.remove.modal.content(${lecturer.name}, ${subject.name})}"></p>
                                </div>
                                <div class="modal-footer">
                                    <form method="post"
                                          th:action="@{/admin/subjects/{subjectId}/lecturers/{lecturerId}/delete(subjectId=${subject.id}, lecturerId=${lecturer.id})}"
                                          th:id="'deleteLecturerForm-' + ${lecturer.id}">
                                        <a class="modal-action modal-close btn"
                                           th:onclick="'$(\'#deleteLecturerForm-' + ${lecturer.id} + '\').submit()'"
                                           th:text="#{remove}"></a>
                                        <a class="modal-action modal-close waves-effect btn-flat"
                                           th:text="#{cancel}"></a>
                                    </form>
                                </div>
                            </div>
                        </li>
                        <li class="collection-item">

                            <form
                                    class="add-lecturer-to-subject-form"
                                    method="POST"
                                    th:action="@{/admin/subjects/{subjectId}/lecturers(subjectId=${subject.id})}"
                                    th:object="${addLecturersToSubjectForm}"
                            >
                                <div
                                        class="input-field autocomplete-wrapper"
                                        th:attr="data-url=@{/admin/subjects/{subjectId}/availableLecturers.json(subjectId=${subject.id})}"
                                >
                                    <input class="hidden-input" th:field="*{lecturerId}"
                                           type="hidden"/>

                                    <input
                                            autocomplete="off"
                                            class="autocomplete"
                                            data-activates="add-lecturer-to-subject-dropdown"
                                            data-beloworigin="true"
                                            id="add-lecturer-to-subject-input"
                                            type="text"
                                    />

                                    <label for="add-lecturer-to-subject-input">Add lecturer</label>

                                    <ul class="dropdown-content"
                                        id="add-lecturer-to-subject-dropdown"></ul>
                                </div>

                                <button class="btn waves-effect waves-light" type="submit">Add
                                </button>
                            </form>

                        </li>
                    </ul>
                </div>

            </div>
        </div>

    </div>

</main>

</body>
</html>
